Loading...
Searching...
No Matches
janus_streaming_rtp_source Struct Reference

## Data Fields

GList * | media
GHashTable * | media_byid
GHashTable * | media_byfd
janus_mutex | rec_mutex
int | pipefd [2]
int | rtp_collision
uint32_t | lowest_bitrate
gint64 | remb_latest
gboolean | is_srtp
int | srtpsuite
char * | srtpcrypto
srtp_t | srtp_ctx
srtp_policy_t | srtp_policy
gboolean | e2ee
gboolean | playoutdelay_ext

## Field Documentation

## e2ee

gboolean janus_streaming_rtp_source::e2ee

## is_srtp

gboolean janus_streaming_rtp_source::is_srtp

## lowest_bitrate

uint32_t janus_streaming_rtp_source::lowest_bitrate

## media

GList* janus_streaming_rtp_source::media

## media_byfd

GHashTable* janus_streaming_rtp_source::media_byfd

## media_byid

GHashTable* janus_streaming_rtp_source::media_byid

## pipefd

int janus_streaming_rtp_source::pipefd[2]

## playoutdelay_ext

gboolean janus_streaming_rtp_source::playoutdelay_ext

## rec_mutex

janus_mutex janus_streaming_rtp_source::rec_mutex

## remb_latest

gint64 janus_streaming_rtp_source::remb_latest

## rtp_collision

int janus_streaming_rtp_source::rtp_collision

## srtp_ctx

srtp_t janus_streaming_rtp_source::srtp_ctx

## srtp_policy

srtp_policy_t janus_streaming_rtp_source::srtp_policy

## srtpcrypto

char* janus_streaming_rtp_source::srtpcrypto

## srtpsuite

int janus_streaming_rtp_source::srtpsuite

The documentation for this struct was generated from the following file:

- janus_streaming.c